当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : vmware tools 源码版本远远低于当前内核版本和gcc版本,该如何解决?
帖子发表于 : 2008-12-25 15:10 

注册: 2008-12-16 16:50
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
我是在vmware6.0上安装了ubuntu8.1,在安装vmware tools的时候发现,当前ubuntu内核的版本是 Linux version 2.6.27-9-generic,内核编译使用的gcc版本是 gcc version 4.3.2,当前ubuntu默认的gcc版本也是 gcc version 4.3.2,但是linux.iso中 vmware tools的源码使用的头文件版本远远落后于当前内核的版本,所以编译的时候总是报异常,如下:

Extracting the sources of the vmmemctl module.

Building the vmmemctl module.

Using 2.6.x kernel build system.
make:进入目录'/tmp/vmware-config0/vmmemctl-only'
make -C /lib/modules/2.6.27-9-generic/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: 正在进入目录 `/usr/src/linux-headers-2.6.27-9-generic'
CC [M] /tmp/vmware-config0/vmmemctl-only/os.o
In file included from /tmp/vmware-config0/vmmemctl-only/os.c:40:
/tmp/vmware-config0/vmmemctl-only/compat_wait.h:37:5: warning: "VMW_HAVE_EPOLL" is not defined
/tmp/vmware-config0/vmmemctl-only/compat_wait.h:43:5: warning: "VMW_HAVE_EPOLL" is not defined
In file included from /tmp/vmware-config0/vmmemctl-only/os.c:40:
/tmp/vmware-config0/vmmemctl-only/compat_wait.h:60: 错误: 与‘poll_initwait’类型冲突
include/linux/poll.h:65: 错误: ‘poll_initwait’的上一个声明在此
/tmp/vmware-config0/vmmemctl-only/os.c: 在函数‘os_init’中:
/tmp/vmware-config0/vmmemctl-only/os.c:567: 错误: ‘struct proc_dir_entry’没有名为‘get_info’的成员
make[2]: *** [/tmp/vmware-config0/vmmemctl-only/os.o] 错误 1
make[1]: *** [_module_/tmp/vmware-config0/vmmemctl-only] 错误 2
make[1]:正在离开目录 `/usr/src/linux-headers-2.6.27-9-generic'
make: *** [vmmemctl.ko] 错误 2
make:离开目录“/tmp/vmware-config0/vmmemctl-only”
Unable to build the vmmemctl module.

The memory manager driver (vmmemctl module) is used by VMware host software to
efficiently reclaim memory from a virtual machine.
If the driver is not available, VMware host software may instead need to swap
guest memory to disk, which may reduce performance.
The rest of the software provided by VMware Tools is designed to work
independently of this feature.
If you want the memory management feature, you can install the driver by
running vmware-config-tools.pl again after making sure that gcc, binutils, make
and the kernel sources for your running kernel are installed on your machine.
These packages are available on your distribution's installation CD.
[ Press Enter key to continue ]

Trying to find a suitable vmhgfs module for your running kernel.

None of the pre-built vmhgfs modules for VMware Tools is suitable for your
running kernel. Do you want this program to try to build the vmhgfs module for
your system (you need to have a C compiler installed on your system)? [yes]

Extracting the sources of the vmhgfs module.

Building the vmhgfs module.

Using 2.6.x kernel build system.
make:进入目录'/tmp/vmware-config1/vmhgfs-only'
make -C /lib/modules/2.6.27-9-generic/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: 正在进入目录 `/usr/src/linux-headers-2.6.27-9-generic'
CC [M] /tmp/vmware-config1/vmhgfs-only/backdoor.o
CC [M] /tmp/vmware-config1/vmhgfs-only/backdoorGcc32.o
CC [M] /tmp/vmware-config1/vmhgfs-only/bdhandler.o
/tmp/vmware-config1/vmhgfs-only/bdhandler.c:15:27: error: asm/semaphore.h: 没有该文件或目录
In file included from /tmp/vmware-config1/vmhgfs-only/dbllnklst.h:14,
from /tmp/vmware-config1/vmhgfs-only/vmrpc.h:17,
from /tmp/vmware-config1/vmhgfs-only/hgfsBd.h:14,
from /tmp/vmware-config1/vmhgfs-only/bdhandler.c:29:
/tmp/vmware-config1/vmhgfs-only/vm_basic_types.h:170: 错误: 与‘uintptr_t’类型冲突
include/linux/types.h:40: 错误: ‘uintptr_t’的上一个声明在此
In file included from /tmp/vmware-config1/vmhgfs-only/request.h:21,
from /tmp/vmware-config1/vmhgfs-only/bdhandler.c:34:
/tmp/vmware-config1/vmhgfs-only/compat_wait.h:37:5: warning: "VMW_HAVE_EPOLL" is not defined
/tmp/vmware-config1/vmhgfs-only/compat_wait.h:43:5: warning: "VMW_HAVE_EPOLL" is not defined
In file included from /tmp/vmware-config1/vmhgfs-only/request.h:21,
from /tmp/vmware-config1/vmhgfs-only/bdhandler.c:34:
/tmp/vmware-config1/vmhgfs-only/compat_wait.h:60: 错误: 与‘poll_initwait’类型冲突
include/linux/poll.h:65: 错误: ‘poll_initwait’的上一个声明在此
make[2]: *** [/tmp/vmware-config1/vmhgfs-only/bdhandler.o] 错误 1
make[1]: *** [_module_/tmp/vmware-config1/vmhgfs-only] 错误 2
make[1]:正在离开目录 `/usr/src/linux-headers-2.6.27-9-generic'
make: *** [vmhgfs.ko] 错误 2
make:离开目录“/tmp/vmware-config1/vmhgfs-only”
Unable to build the vmhgfs module.

The filesystem driver (vmhgfs module) is used only for the shared folder
feature. The rest of the software provided by VMware Tools is designed to work
independently of this feature.
If you wish to have the shared folders feature, you can install the driver by
running vmware-config-tools.pl again after making sure that gcc, binutils, make
and the kernel sources for your running kernel are installed on your machine.
These packages are available on your distribution's installation CD.
[ Press Enter key to continue ]

pcnet32 39684 0
Unloading pcnet32 module

Trying to find a suitable vmxnet module for your running kernel.

None of the pre-built vmxnet modules for VMware Tools is suitable for your
running kernel. Do you want this program to try to build the vmxnet module for
your system (you need to have a C compiler installed on your system)? [yes]

Extracting the sources of the vmxnet module.

Building the vmxnet module.

Using 2.6.x kernel build system.
make:进入目录'/tmp/vmware-config2/vmxnet-only'
make -C /lib/modules/2.6.27-9-generic/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: 正在进入目录 `/usr/src/linux-headers-2.6.27-9-generic'
CC [M] /tmp/vmware-config2/vmxnet-only/vmxnet.o
In file included from /tmp/vmware-config2/vmxnet-only/vmxnet.c:37:
/tmp/vmware-config2/vmxnet-only/vm_basic_types.h:170: 错误: 与‘uintptr_t’类型冲突
include/linux/types.h:40: 错误: ‘uintptr_t’的上一个声明在此
/tmp/vmware-config2/vmxnet-only/vmxnet.c: 在函数‘vmxnet_probe_device’中:
/tmp/vmware-config2/vmxnet-only/vmxnet.c:687: 错误: 隐式声明函数‘SET_MODULE_OWNER’
make[2]: *** [/tmp/vmware-config2/vmxnet-only/vmxnet.o] 错误 1
make[1]: *** [_module_/tmp/vmware-config2/vmxnet-only] 错误 2
make[1]:正在离开目录 `/usr/src/linux-headers-2.6.27-9-generic'
make: *** [vmxnet.ko] 错误 2
make:离开目录“/tmp/vmware-config2/vmxnet-only”
Unable to build the vmxnet module.

The fast network device driver (vmxnet module) is used only for our fast
networking interface. The rest of the software provided by VMware Tools is
designed to work independently of this feature.
If you wish to have the fast network driver enabled, you can install the driver
by running vmware-config-tools.pl again after making sure that gcc, binutils,
make and the kernel sources for your running kernel are installed on your
machine. These packages are available on your distribution's installation CD.
[ Press Enter key to continue ]

Trying to find a suitable vmblock module for your running kernel.

None of the pre-built vmblock modules for VMware Tools is suitable for your
running kernel. Do you want this program to try to build the vmblock module
for your system (you need to have a C compiler installed on your system)?
[yes]

Extracting the sources of the vmblock module.

Building the vmblock module.

Using 2.6.x kernel build system.
make:进入目录'/tmp/vmware-config3/vmblock-only'
make -C /lib/modules/2.6.27-9-generic/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: 正在进入目录 `/usr/src/linux-headers-2.6.27-9-generic'
CC [M] /tmp/vmware-config3/vmblock-only/linux/block.o
In file included from /tmp/vmware-config3/vmblock-only/linux/os.h:21,
from /tmp/vmware-config3/vmblock-only/linux/block.c:12:
/tmp/vmware-config3/vmblock-only/./include/compat_wait.h:37:5: warning: "VMW_HAVE_EPOLL" is not defined
/tmp/vmware-config3/vmblock-only/./include/compat_wait.h:43:5: warning: "VMW_HAVE_EPOLL" is not defined
In file included from /tmp/vmware-config3/vmblock-only/linux/os.h:21,
from /tmp/vmware-config3/vmblock-only/linux/block.c:12:
/tmp/vmware-config3/vmblock-only/./include/compat_wait.h:60: 错误: 与‘poll_initwait’类型冲突
include/linux/poll.h:65: 错误: ‘poll_initwait’的上一个声明在此
In file included from /tmp/vmware-config3/vmblock-only/linux/vmblockInt.h:26,
from /tmp/vmware-config3/vmblock-only/linux/block.c:15:
/tmp/vmware-config3/vmblock-only/./include/vm_basic_types.h:170: 错误: 与‘uintptr_t’类型冲突
include/linux/types.h:40: 错误: ‘uintptr_t’的上一个声明在此
make[2]: *** [/tmp/vmware-config3/vmblock-only/linux/block.o] 错误 1
make[1]: *** [_module_/tmp/vmware-config3/vmblock-only] 错误 2
make[1]:正在离开目录 `/usr/src/linux-headers-2.6.27-9-generic'
make: *** [vmblock.ko] 错误 2
make:离开目录“/tmp/vmware-config3/vmblock-only”
Unable to build the vmblock module.

The vmblock module enables dragging or copying files from within a host and
dropping or pasting them onto your guest (host to guest drag and drop and file
copy/paste). The rest of the software provided by VMware Tools is designed to
work independently of this feature (including guest to host drag and drop and
file copy/paste).

If you would like the host to guest drag and drop and file copy/paste features,
you can install the driver by running vmware-config-tools.pl again after making
sure that gcc, binutils, make and the kernel sources for your running kernel
are installed on your machine. These packages are available on your
distribution's installation CD.
[ Press Enter key to continue ]

[EXPERIMENTAL] The Virtual Machine Communication Interface (VMCI) service
provides a new communication capability with the Host, primarily for
development at the moment. Would you like to enable this feature? [no]

有人说下载open-vm-tools可以解决当前问题,但我试了不行,请哪位高手能给指条明路,已经折腾好几天了,急啊!!


页首
 用户资料  
 
2 楼 
 文章标题 : Re: vmware tools 源码版本远远低于当前内核版本和gcc版本,该如何解决?
帖子发表于 : 2008-12-25 16:36 

注册: 2008-12-16 16:50
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
问题终于解决了。原来vmware6.0中的linux.iso版本已经远远跟不上ubuntu的发展,所以必须安装最新的vmware6.5下的linxu.iso就彻底解决上述问题了。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译